from serialpy import ComConnection
from threading import Thread
from time import sleep


# Initialize an instance
# This is where you specify which serial number to connect to if there are
#   multiple units connected.
com_Left = ComConnection(serial_number='LEFT-4', command='info', baudrate=115200)
com_Right = ComConnection(serial_number='RIGH-4', command='info', baudrate=115200)


def read():
    while True:
        data = com.receive_command()
        if data:
            print data
    sleep(1)


def write():

    # If you pass an invalid serial-number, an exception will be thrown
    # This will inform that no device with provided serial number is found.
    # The exception message also lists the COM device's serial numbers
    # currently plugged on your system
    com.connect()

    # If you try to call send_command() before call connect()
    # an exception will be raised to inform you are trying to
    # send command in a closed connection
    com.send_command()
    sleep(1)

if __name__ == '__main__':
    t = Thread(target=read, args=())
    # Make sure this thread will be killed when main program exits
    t.setDaemon(True)
    t.start()

    write()
