package org.arpodymov.app;

import com.fazecast.jSerialComm.SerialPort;
import gnu.io.NRSerialPort;
import org.apache.commons.lang3.StringUtils;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;

/**
 * @author Andrei Podymov <arpodymov@gmail.com>
 */
public class Program {
    public static void main(String[] args) throws Exception {
        final ComConnection comConnection = new ComConnection.Builder("COM9", 9600).build();
        comConnection.connect();


        // Run reading loop in new thread
        new Thread(new Runnable() {
            public void run() {
                while (true) {
                    String readFromSerial = comConnection.readCommand();
                    // Print in case the read value is not empty
                    if (!StringUtils.isEmpty(readFromSerial)) {
                        System.out.print(readFromSerial);
                    }
                }
            }
        }).start();

        comConnection.executeCommand("info\r\n");
    }
}
