#pragma once

#define WAIT_TIME 2000
#define MAX_DATA_LENGTH 255

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <iostream>

class ComConnection
{
private:
	HANDLE handler;
	bool connected;
	COMSTAT status;
	DWORD errors;

	char* portName;
	int baudrate;
	int stopbits;
	int bytesize;
	int parity;
public:
	ComConnection(char *portName, int baudrate);
	ComConnection::ComConnection(char *portName, int baudrate, int stopbits, int bytesize, int parity);
	~ComConnection();

	void connect();
	void disconect();
	bool isConnected() const;
	int readSerialPort(char *buffer, unsigned int buf_size);
	bool writeSerialPort(const std::string& command, unsigned int buf_size);
	char* getDeviceName() const;
};